summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2016-11-29 14:38:51 +0100
committerBernard Cafarelli <voyageur@gentoo.org>2016-11-29 14:38:51 +0100
commitcd20928a6d306ca30780187f47e78359da33dd8e (patch)
tree86610042897fad2815c7ae253d39a1447467ea7f /www-apps/owncloud
parentwww-apps/owncloud: drop old versions and unsupported 8.0 branch (diff)
downloadgentoo-cd20928a6d306ca30780187f47e78359da33dd8e.tar.gz
gentoo-cd20928a6d306ca30780187f47e78359da33dd8e.tar.bz2
gentoo-cd20928a6d306ca30780187f47e78359da33dd8e.zip
www-apps/owncloud: version bumps, bug #600646
Package-Manager: portage-2.3.2
Diffstat (limited to 'www-apps/owncloud')
-rw-r--r--www-apps/owncloud/Manifest4
-rw-r--r--www-apps/owncloud/owncloud-8.1.11.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-8.2.9.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-9.0.6.ebuild48
-rw-r--r--www-apps/owncloud/owncloud-9.1.2.ebuild48
5 files changed, 204 insertions, 0 deletions
diff --git a/www-apps/owncloud/Manifest b/www-apps/owncloud/Manifest
index c505a06d86c..48eb5c52a8e 100644
--- a/www-apps/owncloud/Manifest
+++ b/www-apps/owncloud/Manifest
@@ -1,4 +1,8 @@
DIST owncloud-8.1.10.tar.bz2 24607017 SHA256 c330938471bc1028746b440a4b8d6fc4059372e34ef9da1a84b91a4447d357ef SHA512 3c798a55432dce29441d0c829edcc01c25860174be5f8b03e4dca939a9e16eb1704dcd9b8a501957f0f8d8212ccddb97b404a4f514e7bd8457d17163d9867f4c WHIRLPOOL 18d8c346745be9a8887e3149cd97a0eb98bca0f380825a73cd308a2118c4d6230bd601418981bfec605158e95241b4e06602dbbd436564a5ad09d8694925b39e
+DIST owncloud-8.1.11.tar.bz2 24608014 SHA256 a0aa349175459ab9539b3c9c0a638399fde3cd7d6f4e8150079a4d36e4773f12 SHA512 3b73f743c2fa555876ca4c3df73f038182add5db732021ca83c52f0e28b5c7ef3641061d8adafd070118ecd20b594e99753bc0f1a32a49ae30412fac6e8478b3 WHIRLPOOL 1a4b086128a4e48b0a0798a007b63bd6e04e9d391db3ec94e3a8f27a40116932349de05ac1da958175a3172d084ce5859e46eddfb489fc93bc85b41cc6954e27
DIST owncloud-8.2.8.tar.bz2 28033756 SHA256 3e4a54d7ad972adbdf359c26a02aab9d00a08cdd40e5097b8d63baebde58204c SHA512 1063397cf0b886362e3422c30cbf748a33149887dcb91633ce53abc868f7ae56b0c931c37ce77182e59fa99198a293237d38ca2d7bc6d98fe867b2e2aa1d936b WHIRLPOOL c7079971858320ee08bec30d05321667112c8cead0c17f7e5ebb4cf4b7708bbae38a9c0e0de1824352f03fb819ca27251fb75096f8dcfe48fe4ff9c25444c97b
+DIST owncloud-8.2.9.tar.bz2 28036834 SHA256 fc2673c038868580fc92954f1f4a5acd15946d371948544f81e8c9975abfff25 SHA512 a8ab358947e930d96719b45845ed262004c8611fcde8ae34e08ececfe057a017bd7348cba7ded0433220fbab088484baaf357e441021044fa8283d4612c1af2e WHIRLPOOL c6aac23fa00208cb63596f8ef4b148ee2eceaf1513ec07965082f5bdc15b78aeb449691c608c3c37c10e0cb93539a59539a3acdc40a018d2e5e66e09ff624ab7
DIST owncloud-9.0.5.tar.bz2 28435642 SHA256 c8c2c4f7a06208f006762740ca6bb6a4c4d8362fc8d226dcccb82b970993f7c5 SHA512 e100f2d84f2aa35669479618528b1d08c33a654378b6feae5b67430342f7ceacc7403e5bcb5447ded592a2a3a7f69fda55697d7b39d6382c9887da46a189b74e WHIRLPOOL 2cbab98a2f0f7423eb7d86236a73a6c18ef09f1f84827832ddd94c43a9c350e075df22e08519cc5b696e268a47cf54830840a2c1554a5b35569bcf17c661cce6
+DIST owncloud-9.0.6.tar.bz2 28459238 SHA256 2addd94cb537c52291e0d77d57fe8c0c64ceb59e24dbec96c2a73e84f7bb5c44 SHA512 722d0640dba1b856501b8ed07517f2b58f680dff5b64350603ee90c691e4345e27ed87d3e1c030c04dc8a16496396fd781237d9b9d7a85ad94d086b2204a90a2 WHIRLPOOL 0f29bce3435f7bb6ada18f127c363dce40658565b79cffcd7a75231099379bc61e4c98f7ee8f0b1a09748c85af71f84a8c7a1eeb4dc7923fe4784a65acbd81f0
DIST owncloud-9.1.1.tar.bz2 28984910 SHA256 a6bf3531ebb7e09a11aaae641bc3af933f339261424782841c640bf9df1ba7b9 SHA512 dc83b411e54a233960dd16846b0b711c4f713a24c4b07bcc5441748270fee2e3eeaf3a49442e0caa618d10dae5be2d235ab7366240589a1d6d85e655b355a84e WHIRLPOOL d9275f97993fdbb796f63e10bf3e50ca8d7845842f1bafe2a44cdd2f06d43747ce1eb766d63521ab4cd5c32367590344db82dfbd3bfd7e4f410e24c0b6dce788
+DIST owncloud-9.1.2.tar.bz2 29041269 SHA256 108bd46864aac95c90c246a2eda35b00513c14df132177add07976c1cdb14933 SHA512 a2fb8c250cd83cf58dc755baff8a46c26f5ed323504a7250f7da05679ca2e93f4aa6b6875f9afa702e8a70a10457151e2f7da6184a4c1f43a68f65c1d58626c0 WHIRLPOOL 3d1321f83ec05d49156130cc5326cca75d8366d00e0d733c74f60ebaa759789a9c0b6e536375559def9b91b9ec35f7d65e7f0599fb33003f993b0819bc0919c3
diff --git a/www-apps/owncloud/owncloud-8.1.11.ebuild b/www-apps/owncloud/owncloud-8.1.11.ebuild
new file mode 100644
index 00000000000..98c81ffae5b
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.1.11.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-8.2.9.ebuild b/www-apps/owncloud/owncloud-8.2.9.ebuild
new file mode 100644
index 00000000000..98c81ffae5b
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.2.9.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-9.0.6.ebuild b/www-apps/owncloud/owncloud-9.0.6.ebuild
new file mode 100644
index 00000000000..8c09a8d21b8
--- /dev/null
+++ b/www-apps/owncloud/owncloud-9.0.6.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-9.1.2.ebuild b/www-apps/owncloud/owncloud-9.1.2.ebuild
new file mode 100644
index 00000000000..8c09a8d21b8
--- /dev/null
+++ b/www-apps/owncloud/owncloud-9.1.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+ virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}